import { Diagnostic } from "@siteimprove/alfa-act";
import type { Device } from "@siteimprove/alfa-device";
import type { Element } from "@siteimprove/alfa-dom";
import type * as dom from "@siteimprove/alfa-dom";
import type { Option } from "@siteimprove/alfa-option";
/**
 * @public
 */
export declare class WithName extends Diagnostic {
    static of(message: string): Diagnostic;
    static of(message: string, name: string): Diagnostic;
    protected readonly _name: string;
    protected constructor(message: string, name: string);
    get name(): string;
    toJSON(options?: dom.Node.SerializationOptions): WithName.JSON;
}
/**
 * @public
 */
export declare namespace WithName {
    interface JSON extends Diagnostic.JSON {
        name: string;
    }
    function isWithName(value: Diagnostic): value is WithName;
    function isWithName(value: unknown): value is WithName;
    function getName(element: Element, device: Device): Option<string>;
}
//# sourceMappingURL=with-name.d.ts.map