import type { Device } from "@siteimprove/alfa-device";
import { Element } from "@siteimprove/alfa-dom";
import { Rectangle } from "@siteimprove/alfa-rectangle";
import { Sequence } from "@siteimprove/alfa-sequence";
/**
 * Gets a collection of rectangles covering the region where an element would
 * receive pointer events. If the element is invisible or the region is empty
 * an error is returned.
 *
 * @privateRemarks
 * The clickable region of an element is found by subtracting the bounding
 * boxes of clipping elements and then recursively finding and concatenating
 * the clickable regions of the children that are visible and not themselves
 * targets of pointer event. Here, clipping elements are those elements painted
 * above, whose bounding boxes overlap the element and who are either
 * non-descendants or descendants that are also targets of pointer events.
 *
 * @internal
 */
export declare const getClickableRegion: (this: unknown, device: Device, element: Element<string>) => Sequence<Rectangle>;
//# sourceMappingURL=get-clickable-region.d.ts.map