import { type Color as CSSColor, Percentage, RGB } from "@siteimprove/alfa-css";
import { Option } from "@siteimprove/alfa-option";
import type { Style } from "@siteimprove/alfa-style";
/**
 * @public
 */
export declare namespace Color {
    type Computed = CSSColor.Canonical;
    type Resolved = RGB<Percentage.Canonical, Percentage.Canonical>;
    function resolve(color: Computed, style: Style): Option<Resolved>;
    /**
     * {@link https://drafts.fxtf.org/compositing-1/#simplealphacompositing}
     */
    function composite(foreground: Resolved, background: Resolved, opacity: number): Resolved;
}
//# sourceMappingURL=color.d.ts.map