import type { Device } from "@siteimprove/alfa-device";
import { Element } from "@siteimprove/alfa-dom";
import { Result } from "@siteimprove/alfa-result";
import { Context } from "@siteimprove/alfa-selector";
import { Set } from "@siteimprove/alfa-set";
import { Color } from "./color.js";
import { ColorErrors } from "./color-error.js";
/**
 * @public
 */
export type Foreground = ReadonlyArray<Color.Resolved>;
/**
 * Get the foreground colors of an element by:
 * 1. get the color property
 * 2. merge it with the background colors, according to opacity.
 *
 * @public
 */
export declare function getForeground(element: Element, device: Device, context?: Context, ignoredInterposedDescendants?: Set<Element>): Result<Foreground, ColorErrors>;
//# sourceMappingURL=get-foreground.d.ts.map