import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import type { Document } from "@siteimprove/alfa-dom";
import { Element, Node } from "@siteimprove/alfa-dom";
import type { Hash } from "@siteimprove/alfa-hash";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
declare const _default: Rule.Atomic<Page, Document, {}, Document>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const StartWithLevel1Heading: (heading: Element, level: number) => Ok<WithFirstHeading>;
    const StartWithHigherLevelHeading: (heading: Element, level: number) => Err<WithFirstHeading>;
}
/**
 * @public
 */
export declare class WithFirstHeading extends Diagnostic {
    static of(message: string): Diagnostic;
    static of(message: string, firstHeading: Element, level: number): WithFirstHeading;
    private readonly _firstHeading;
    private readonly _level;
    protected constructor(message: string, firstHeading: Element, level: number);
    get firstHeading(): Element;
    get firstHeadingLevel(): number;
    equals(value: WithFirstHeading): boolean;
    equals(value: unknown): value is this;
    hash(hash: Hash): void;
    toJSON(options?: Node.SerializationOptions): WithFirstHeading.JSON;
}
/**
 * @public
 */
export declare namespace WithFirstHeading {
    interface JSON extends Diagnostic.JSON {
        firstHeading: Element.JSON;
        firstHeadingLevel: number;
    }
    function isWithFirstHeading(value: Diagnostic): value is WithFirstHeading;
    function isWithFirstHeading(value: unknown): value is WithFirstHeading;
}
//# sourceMappingURL=rule.d.ts.map