import { Diagnostic, Rule } from "@siteimprove/alfa-act";
import { Array } from "@siteimprove/alfa-array";
import { Element, Node } from "@siteimprove/alfa-dom";
import { Err, Ok } from "@siteimprove/alfa-result";
import type { Page } from "@siteimprove/alfa-web";
import { Question } from "../common/act/question.js";
/**
 * R82 ask questions whose subject is not the target of the rule.
 * The context of the question is still the test target, but the
 * subjects can be various other elements.
 * This needs changes in Dory, Nemo, and likely databases to be stored;
 * this needs changes in the Page Report to be able to highlight an element
 * different from the test target.
 */
declare const _default: Rule.Atomic<Page, Element<string>, Question.Metadata, Node<string> | Array<Node<string>>>;
export default _default;
/**
 * @public
 */
export declare namespace Outcomes {
    const HasNoErrorIndicator: Ok<Diagnostic>;
    const ErrorIndicatorIdentifiesTarget: Ok<Diagnostic>;
    const ErrorIndicatorIdentifiesTargetButIsNotPerceivable: Err<Diagnostic>;
    const NoErrorIndicatorIdentifiesTarget: Err<Diagnostic>;
    const ErrorIndicatorDescribesResolution: Ok<Diagnostic>;
    const ErrorIndicatorDescribesResolutionButIsNotPerceivable: Err<Diagnostic>;
    const NoErrorIndicatorDescribesResolution: Err<Diagnostic>;
}
//# sourceMappingURL=rule.d.ts.map